#ifndef HEADER_H
#define HEADER_H

#include <string>
#include "sha1.h"
#include "StdAfx.h"

using namespace std;

class Header{
   public:
  	Header();
  	virtual ~Header();
	string	m_pAcquisitionFileName;
	string m_fileType;
	string m_instrumentName;
	string m_ionizationType;
	string m_analyzerType;
	string m_detectorType;
	long scanCount;
	CSHA1	m_Csha1;
	char	m_pReport[1024];

	long	m_firstScan;
	long	m_lastScan;

	/*char*	m_pAcquisitionFileName;
	char	m_hostName[256];
	long	m_firstScan;
	long	m_lastScan;
	double	m_startTime;
	double	m_endTime;
	CSHA1	m_Csha1;
	char	m_pReport[1024];		// sha1 hash
	BSTR	m_bstrInstModel;
	BSTR	m_bstrInstSoftVersion;*/
};
#endif
